Subject: Re: [PATCH] netlink: make nlmsg_end() and genlmsg_end() void

From: Johannes Berg <[email-masked]>
Date: Sun, 18 Jan 2015 14:27:53 +0100

On Sun, 2015-01-18 at 01:04 -0500, David Miller wrote:

> I like this, applied, thanks Johannes.
> 
> You know, I would even be willing to apply a patch adjusting that phonet
> case.  So feel free to submit that.

I can do that - I agree that it's probably fine (you'd have to be not
using libnl and writing bad code to get it wrong) but didn't really want
to do it in that patch.

Anyway it looks like I broke some dump (as reported by Marcel) so I'll
have to dig into that first.

johannes